Unable to start webui on Ubuntu 11.10 64-bit, Chef 0.10.x


#1

Hi,

chef-server-webui fails to start on Ubuntu 11.10 64 bit. I am getting the a gem
error:

NOTE: Gem.activate is deprecated, use Specification#activate. It will be
removed on or after 2011-10-01. Gem.activate called from
/usr/lib/ruby/1.8/merb-core/core_ext/kernel.rb:142.
/usr/local/lib/site_ruby/1.8/rubygems.rb:232:in ‘_deprecated_activate’:
Deprecated use of Gem.activate(dep) (ArgumentError)

from /usr/local/lib/site_ruby/1.8/rubygems/deprecate.rb:62:in 'send’
from /usr/local/lib/site_ruby/1.8/rubygems/deprecate.rb:62:in 'activate’
from /usr/lib/ruby/1.8/merb-core/core_ext/kernel.rb:142:in 'load_dependency’
from /usr/lib/ruby/1.8/merb-core/bootloader.rb:405:in 'load_dependencies’
from /usr/lib/ruby/1.8/merb-core/bootloader.rb:405:in 'each’
from /usr/lib/ruby/1.8/merb-core/bootloader.rb:405:in 'load_dependencies’
from /usr/lib/ruby/1.8/merb-core/bootloader.rb:393:in 'run’
from /usr/lib/ruby/1.8/merb-core/bootloader.rb:99:in 'run’
from /usr/lib/ruby/1.8/merb-core/server.rb:172:in 'bootup’
from /usr/lib/ruby/1.8/merb-core/server.rb:42:in 'start’
from /usr/lib/ruby/1.8/merb-core.rb:170:in 'start’
from /usr/sbin/chef-server-webui:73`

I have tried it over a clean ubuntu 11.10 desktop 64 bit multiple times and
every time it is the same error. Please let me know if there is a gem
compatibility issue.

Thanks
Phaneesh